Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » IDE for struts-enabled web application
IDE for struts-enabled web application [message #190813] Fri, 30 March 2007 16:38 Go to next message
Eclipse User
Originally posted by: manickam-periaswamy.vignesh.epamail.epa.gov

Hi all

I am new to J2EE development and I am developing a web application using
the following configuration.

Web server - IIS
Servlet engine - ServletExec 5.0
MVC framework - Struts 2.0.6
Java - 1.4.2_13

I am not using Tomcat because ServletExec is already available in my
company and I am supposed to use that. I am using struts 2.0.6 because it
is compatible ServletExec 5.0 and not with struts 1.3.5. I am using Java
1.4.2 because it is used for all other application in my company and so I
am using the alternative Java 4 compatible JARs of struts 2.0.6.

Now I am looking for IDE that would make my work easier. I tried Lomboz
but had few problems in setting it up and its free user forum is very
inactive, so couldn't get any help. So I have decided to quit using it and
look for other alternative. Please let me know of any Eclipse plugin and
any detailed tutorial to set up the web application of the configuration I
mentioned above.

I suppose Eclipse does not support the run-time which I am using
(ServletExec). Is there a way setting up a generic runtime, rather than
those predefined ones in Eclipse? Or currently runtime's integration with
the IDE is not really important to me, as I can test the application in
the browser.

I don't want to use MyEclipse too as my company won't be paying for it.

Please suggest me a free IDE (mostly Eclipse plugin), for developing
struts-enabled web application. (if possible supporting my run-time too)

I would highly appreciate your help.

Thanks
Vignesh
Re: IDE for struts-enabled web application [message #190845 is a reply to message #190813] Fri, 30 March 2007 19:40 Go to previous message
Eclipse User
Originally posted by: kosta.bea.com

You can download latest release of WTP (1.5.3) from the following link.
WTP by itself supports basic web app development. There is no explicit
tooling for Struts, though. That part would have to be manual.

http://download.eclipse.org/webtools/downloads/drops/R1.5/R- 1.5.3-200702082048/

- Konstantin
Previous Topic:Eclipse 3.2 Bug - Maybe - Page Deploys with Wrong URL when using "Run on server" option
Next Topic:Line number for a node in XML?
Goto Forum:
  


Current Time: Sun Sep 21 20:26:36 GMT 2014

Powered by FUDForum. Page generated in 0.07618 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software